ALR-WITH(1)

NAME
alr-with - Manage release dependencies

SYNOPSIS

alr with [options] [{ [--del] <crate>[versions]... | --from <gpr_file>... | <crate>[versions] --use <path> [--commit REF] [--branch NAME]} ] | --solve | --tree | --versions

OPTIONS

--del
    Remove given dependencies

--from
    Use dependencies declared within GPR project file

--graph
    Show ASCII graph of dependencies

--branch=NAME
    Branch to track in repository

--commit=REF
    Commit to retrieve from repository

--use=PATH|URL
    Add a dependency pinned to some external source

--solve
    Show complete solution to dependencies

--tree
    Show complete dependency tree

--versions
    Show version status of dependencies

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Inspect and manage dependencies.

  Inspecting dependencies
Run without arguments prints current dependencies. Use --solve to print the solution in use for these dependencies.

  Adding dependencies from the command line
Dependencies are added by giving their name, and removed by using the --del flag. Dependencies cannot be simultaneously added and removed in a single invocation.

  Adding dependencies pinned to external sources
When a single crate name is accompanied by an --use PATH|URL argument, the crate is always fulfilled for any required version by the sources found at the given target. An optional reference can be specified with --commit; the pin will be frozen at the commit currently matching the reference.

SEE ALSO
alr(1), alr-get(1), alr-index(1), alr-init(1), alr-pin(1), alr-search(1), alr-show(1), alr-update(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution